﻿using Infragistics;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace XamDataChartBrushBindingCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Brush[] brushes = new Brush[] { Brushes.Red, Brushes.Orange, Brushes.Yellow, Brushes.Green, Brushes.Blue, Brushes.Purple }; 

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 5; i++)
            {
                Data.Add(new SampleData()
                {
                    Label = "Item " + i.ToString(),
                    Value = r.Next(1, 10),     
                    BarColor = brushes[i]
                });
            }
        }
    }

    public class SampleData
    {
        public string Label { get; set; }
        public int Value { get; set; }
        public Brush BarColor { get; set; }
    }
}
